import { Injectable } from '@angular/core';

@Injectable()
export class LoginService {
  private isUserLoggedIn;
  public username;

  constructor() {
    this.isUserLoggedIn = false;
  }

  // bind the generic user login/signup authentication logic, backend intergration from here

  setUserLoggedIn() {
    this.isUserLoggedIn = true;
    this.username = 'admin';
  }

  getUserLoggedIn() {
    return this.isUserLoggedIn;
  }

}
